# getOverriddenMethods abstract method

List<Method> getOverriddenMethods()

Gets all methods that are overridden in this class.

Returns:

- List of all methods that are overridden in this class
- Empty list if no methods are overridden

Example:

    final overriddenMethods = Class.forType<MyService>().getOverriddenMethods();
    overriddenMethods.forEach((m) => print(m.name));

## Implementation

    List<Method> getOverriddenMethods();